dnlcstat(1m)

NAME
dnlcstat - DNLC statistics. Uses DTrace.

SYNOPSIS
dnlcstat [interval [count]]

DESCRIPTION
The DNLC is the Directory Name Lookup Cache. Filename lookups often return a hit from here, before needing to traverse the regular file system cache or go to disk. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print DNLC statistics every second,
    # dnlcstat

Print every 5 seconds, 6 times,
    # dnlcstat 5 6

FIELDS

%hit
    hit percentage for this sample

hit number of DNLC hits in this sample

miss
    number of DNLC misses in this sample

NOTES
See the CacheKit, http://www.brendangregg.com/cachekit.html for a version of dnlcstat written in Perl (Kstat) that uses much less CPU.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
dnlcstat will run until Ctrl-C is hit, or until the count argument has been satisfied.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)